[package]
name = "api"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "lib.rs"
name = "api"

[[bin]]
path = "gen_api.rs"
name = "gen_api"
[dependencies]
db = { workspace = true }
config = { workspace = true }
queue = { workspace = true }
email = { workspace = true }
slog = { workspace = true }
service = { workspace = true }
session = { workspace = true }
git = { workspace = true }
models = { workspace = true }
room = { workspace = true }
serde = { workspace = true, features = ["derive"] }
utoipa = { workspace = true, features = ["actix_extras", "chrono", "uuid", "preserve_order", "macros", "time"] }
serde_json = { workspace = true }
actix-web = { workspace = true }
uuid = { workspace = true }
anyhow = { workspace = true }
actix-cors = { workspace = true }
base64 = { workspace = true }
actix-ws = { workspace = true, features = [] }
actix = { workspace = true, features = ["macros"] }
tokio-stream = { workspace = true, features = ["sync"] }
futures = { workspace = true }
tokio = { workspace = true, features = ["sync", "rt"] }
chrono = { workspace = true }
[lints]
workspace = true
